Skip to Content

Get Link

Retrieve the current status and result of a link.

Request

GET /v1/links/:id

Headers

HeaderValue
AuthorizationBearer YOUR_API_KEY

Path parameters

ParameterDescription
idThe link ID

Response

200 OK

{ "id": "link_abc123", "integrationId": "tmobile", "operations": [{ "resource": "mobileBillingStatement", "action": "read" }], "externalUserId": "user_456", "status": "complete", "currentSessionId": "session_xyz789", "returnUrl": "https://your-app.com/done?linkId=link_abc123", "result": { "billing": [ { "periodStart": "01/15/2025", "periodEnd": "02/14/2025", "amountDue": 85.0, "currency": "USD" } ] }, "error": null, "expiresAt": 1704081600000, "createdAt": 1704067200000, "updatedAt": 1704070800000 }

For links with multiple operations, the result is wrapped: { operations: [{ resource, action, data }, ...] }.

Status values

StatusDescription
pendingLink created, not yet claimed
activeAutomation in progress
completeSuccessfully finished
failedAutomation failed (re-claimable)
expiredLink expired before completion
Last updated on